/*
Section:  4) 1NF to BCNF
Script:   9) Getting Data Into BCNF
Basics:   Going back to 1NF, we want to get to BCNF.
Notes:    
*/

/*
The difference between BCNF and 2NF/3NF is that BCNF is
a bit "stricter" with whether attributes really belong to
a particular element.  We're going to focus on the Song table for this one.

Bonus change:  we're switching the primary key to AlbumName/TrackNumber, 
just for fun.

1NF structure:
Song
	- Year
	- Type { Studio, Live }
	- AlbumName (PK, AK2)
	- Label
	- LabelHeadquarters
	- TrackNumber (PK)
	- SongName (AK2)
	- SongNameHasNumeral <-- NEW

Candidate keys:
{ AlbumName, TrackNumber }
{ AlbumName, SongName }

TODO:
1)  Determine all functional dependencies.
2)  Normalize this structure into Boyce-Codd Normal Form.


*/
